Subject: Re: [netatalk-admins] AppleTalk not up! Child exited with 1.

From: David Sweet <[email-masked]>
Date: Thu, 17 Dec 1998 14:48:14 -0800 (PST)

On Wed, 16 Dec 1998, Michael M Han wrote:

> Previously...
> >> A quick and
> >> dirty approach would alternatively be to specify -noddp in afpd.conf,
> >> which will probably work around the missing ddp kernel module.
> >
> >I can see the kernel module is loaded:
> >  # modinfo | grep ddp
> >   84 60694000   3c78  45   1  ddp (DDP Streams device)
> >   84 60694000   3c78  12   1  ddp (DDP Streams module)
> >  # 
> 
> Hrmm. Usually the error you report points to a missing ddp module...
> Strange. It still would be interesting to see if you can get afpd to
> come up w/ -noddp. ISTR that the message you cite is issued by afpd,
> as opposed to atalkd... You're running the stock /etc/init.d/atalk
> script provided in the dist, yes? And your atalkd is up and running?

Sorry for the confusion.
But the error occurs when atalkd is started not afpd.
atalkd forks itself and the previous truss was from that forked process.
Yes, I use the init script but when it did not even get through starting
  atalkd I started running atalkd from the commandline.